Name:			libg15
Version:		1.2.7
Release:		1%{?dist}
Summary:		Library to handle the LCD and extra keys on the Logitech G15 Gaming Keyboard
License:		GPLv2
URL:			http://www.g15tools.com/
Source0:		http://downloads.sourceforge.net/project/g15tools/%{name}/%{version}/%{name}-%{version}.tar.bz2
Group:			System Environment/Libraries

#COPYING needs patched to reflect the updated address of the FSF and GPLv2 license
patch0: libg15-copying.patch

BuildRequires:	libusb-devel

%description
This is a library to handle the LCD and extra keys on the Logitech G15 Gaming
Keyboard and similar devices.
LibG15 currently supports LCD & keys on the following devices:
- Original G15 keyboard
- G11 keyboard
- Z10 speakers
- 2nd revision of the G15 (amber backlight, 6 'G' keys, LCD)
- Gamepanel available on some laptops

%package devel
Summary:		Development files for libg15
Group:			Development/Libraries
Requires:		%{name} = %{version}

%description devel
This package contains development files for programs
that use %{name}

%prep
%setup -q
%patch0 -p1


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc AUTHORS ChangeLog COPYING NEWS README
%exclude %{_libdir}/lib*.la
%{_libdir}/libg15.so.1*

%files devel
%{_includedir}/*
%{_libdir}/libg15.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Tue Feb 07 2012 Thomas Pifer <zero456@gmail.com> - 1.2.7-1
- Initial package.
